// pages/home/me/mydevice/device.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例

// 引入二维码
import drawQrcode from 'weapp-qrcode-canvas-2d'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        devs:[]

    },
    doCopy(e){/**赋值设备唯一识别码 */
        let key = e.target.dataset.copy
        wx.setClipboardData({ //设置系统剪贴板的内容
            data: key,
            success(res) {
              wx.getClipboardData({ // 获取系统剪贴板的内容
                success(res) {
                  wx.showToast({
                    title: '复制成功',
                  })
                }
              })
            }
          })
    },
    go2Reback(){
        wx.navigateBack({ changed: true });
    },
    doDevQuery(){
        req.getRequest('/api/user/curt/equipments',{}).then((res)=>{
            if(res.data.code==200){
                // 循环查询
                this.setData({devs:res.data.data})
            }
           }).catch((err)=>{
            console.log(err);
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.doDevQuery()
        const query = wx.createSelectorQuery()
        query.select('#myQrcode')
    .fields({
        node: true,
        size: true
    })
    .exec((res) => {
        var canvas = res[0].node

        // 调用方法drawQrcode生成二维码
        drawQrcode({
            canvas: canvas,
            canvasId: 'myQrcode',
            width: 260,
            padding: 30,
            background: '#ffffff',
            foreground: '#000000',
            text: '大王顶真帅',
        })

        // 获取临时路径（得到之后，想干嘛就干嘛了）
        wx.canvasToTempFilePath({
            canvasId: 'myQrcode',
            canvas: canvas,
            x: 0,
            y: 0,
            width: 260,
            height: 260,
            destWidth: 260,
            destHeight: 260,
            success(res) {
                console.log('二维码临时路径：', res.tempFilePath)
            },
            fail(res) {
                console.error(res)
            }
        })
    })


    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})